Package Details: amdvlk-git v.2020.Q1.3.r2.bd57537-1

Git Clone URL: https://aur.archlinux.org/amdvlk-git.git (read-only, click to copy)
Package Base: amdvlk-git
Description: AMD's standalone Vulkan driver
Upstream URL: https://github.com/GPUOpen-Drivers
Licenses: MIT
Conflicts: vulkan-amdvlk
Provides: vulkan-amdvlk, vulkan-driver
Submitter: haagch
Maintainer: haagch (lordheavy, ssorgatem, mcoffin)
Last Packager: haagch
Votes: 23
Popularity: 0.000171
First Submitted: 2017-12-22 13:02
Last Updated: 2020-03-24 14:57

Required by (15)

Sources (0)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6

laichiaheng commented on 2017-12-27 13:26

This should be in Arch's official repository

lordheavy commented on 2017-12-23 18:07

@Strunkenbold

Fixed

Strunkenbold commented on 2017-12-23 14:28

Looks like you forgot something in prepare... ==> Beginne prepare()... fatal: Konnte '../0001-workaround-remove-invalid-constexpr-modifier.patch' nicht zum Lesen öffnen.: Datei oder Verzeichnis nicht gefunden

Frohes Fest!

haagch commented on 2017-12-23 13:06

@Linkoh Yea, there's some weirdness how they are linking. For some reason it pulls in all symbols from PAL twice and then every single symbol conflicts with itself.

I got it working with the included patch 0001-remove-linking-with-whole-archive.patch which removes lines like target_link_libraries(xgl PRIVATE -Wl,--whole-archive ${PROJECT_BINARY_DIR}/pal/src/libpal.a -Wl,--no-whole-archive)

I have no idea what this is supposed to be doing, but removing those lines makes it compile and work for me.

Linkoh commented on 2017-12-23 11:41

https://pastebin.com/mF9VCfEB I tried installing it but that's what I got while building. Not sure about what to do.

haagch commented on 2017-12-22 22:09

Hmm I did not get notifications for those comments.

Anyway, it's just crudely hacked together at the moment, the patches will surely become unnecessary soon. I haven't yet tested what dependencies it needs, so just try it and you'll see...

It did work without the settings file, but I added it anyway.

libcg commented on 2017-12-22 21:48

https://github.com/GPUOpen-Drivers/AMDVLK/blob/master/README.md#required-settings

/etc/amd/amdPalSettings.cfg needs to contain the line MaxNumCmdStreamsPerSubmit,4 to get the driver working with upstream AMDGPU stack. I can't test right now.

gcarq commented on 2017-12-22 20:57

Thanks for maintaining this. Please add dri2proto as dependency